API referencePayroll

Get a payroll run

GET
/api/b/v1/payroll/runs/{run_id}

Authorization

OAuth2PasswordBearer
AuthorizationBearer <token>

In: header

Path Parameters

run_id*Run Id
Formatuuid
admin_access_token?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/b/v1/payroll/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "period": "string",  "currency": "string",  "status": "draft",  "employee_count": 0,  "total_net_minor": 0,  "batch_id": "4da22c97-b7d5-4e31-8c3a-03870ebc7b20",  "approval_id": "15af2260-72db-4fc4-b587-6b841d6a3d55",  "created_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "notice": "Pays the net amount configured for each employee. No tax, social-security or other deduction is calculated."}